igeo

## Class IMeshAgent

- java.lang.Object
- - igeo.IObject
  - - igeo.IAgent
    - - igeo.IMeshAgent

- All Implemented Interfaces:
    IDynamics, ISubobject

      public class IMeshAgent
      extends IAgent

  Agent to iterate mesh faces.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) IPoint` | `centerPt`
    `IFace` | `curFace`
    `IFace` | `prevFace`

    - ### Fields inherited from class igeo.IAgent

      `alive, duration, interactOverridden, localDynamics, parent, targets, time`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMeshAgent(IFace f)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMeshAgent` | `clr(java.awt.Color c)`
    `IMeshAgent` | `clr(java.awt.Color c, double alpha)`
    `IMeshAgent` | `clr(java.awt.Color c, float alpha)`
    `IMeshAgent` | `clr(java.awt.Color c, int alpha)`
    `IMeshAgent` | `clr(double dgray)`
    `IMeshAgent` | `clr(double dgray, double dalpha)`
    `IMeshAgent` | `clr(double dr, double dg, double db)`
    `IMeshAgent` | `clr(double dr, double dg, double db, double da)`
    `IMeshAgent` | `clr(float fgray)`
    `IMeshAgent` | `clr(float fgray, float falpha)`
    `IMeshAgent` | `clr(float fr, float fg, float fb)`
    `IMeshAgent` | `clr(float fr, float fg, float fb, float fa)`
    `IMeshAgent` | `clr(IColor c)` to set an object color
    `IMeshAgent` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
    `IMeshAgent` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
    `IMeshAgent` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
    `IMeshAgent` | `clr(int gray)`
    `IMeshAgent` | `clr(int gray, int alpha)`
    `IMeshAgent` | `clr(int r, int g, int b)`
    `IMeshAgent` | `clr(int r, int g, int b, int a)`
    `IMeshAgent` | `clr(IObject o)` to set the same color with the object
    `IMeshAgent` | `hide()`
    `IMeshAgent` | `hsb(double h, double s, double b)`
    `IMeshAgent` | `hsb(double h, double s, double b, double a)`
    `IMeshAgent` | `hsb(float h, float s, float b)`
    `IMeshAgent` | `hsb(float h, float s, float b, float a)`
    `IMeshAgent` | `layer(ILayer l)` Set layer by ILayer object
    `IMeshAgent` | `name(java.lang.String nm)` methods of IObject
    `IFace` | `nextFace()`
    `IMeshAgent` | `setColor(java.awt.Color c)`
    `IMeshAgent` | `setColor(java.awt.Color c, int alpha)`
    `IMeshAgent` | `setColor(double dgray)`
    `IMeshAgent` | `setColor(double dgray, double dalpha)`
    `IMeshAgent` | `setColor(double dr, double dg, double db)`
    `IMeshAgent` | `setColor(double dr, double dg, double db, double da)`
    `IMeshAgent` | `setColor(float fgray)`
    `IMeshAgent` | `setColor(float fgray, float falpha)`
    `IMeshAgent` | `setColor(float fr, float fg, float fb)`
    `IMeshAgent` | `setColor(float fr, float fg, float fb, float fa)`
    `IMeshAgent` | `setColor(int gray)`
    `IMeshAgent` | `setColor(int gray, int alpha)`
    `IMeshAgent` | `setColor(int r, int g, int b)`
    `IMeshAgent` | `setColor(int r, int g, int b, int a)`
    `IMeshAgent` | `setHSBColor(double h, double s, double b)`
    `IMeshAgent` | `setHSBColor(double h, double s, double b, double a)`
    `IMeshAgent` | `setHSBColor(float h, float s, float b)`
    `IMeshAgent` | `setHSBColor(float h, float s, float b, float a)`
    `IMeshAgent` | `show()`
    `void` | `update()` behavior definition of updating dynamics in each time frame
    `IMeshAgent` | `weight(double w)`
    `IMeshAgent` | `weight(float w)`

    - ### Methods inherited from class igeo.IAgent

      `addDynamics, alive, del, del, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, target, target, targetNum, targets, time, time, updateGraphic, updateTarget`

    - ### Methods inherited from class igeo.IObject

      `addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, cp, createGraphic, defaultAttribute, deleteGraphic, dup, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### curFace

          public IFace curFace

    - #### prevFace

          public IFace prevFace

    - #### centerPt

          IPoint centerPt

  - ### Constructor Detail

    - #### IMeshAgent

          public IMeshAgent(IFace f)

  - ### Method Detail

    - #### nextFace

          public IFace nextFace()

    - #### update

          public void update()

      Description copied from interface: `IDynamics`
      behavior definition of updating dynamics in each time frame
      Specified by:
        `update` in interface `IDynamics`
      Overrides:
        `update` in class `IAgent`

    - #### name

          public IMeshAgent name(java.lang.String nm)

      methods of IObject
      Overrides:
        `name` in class `IAgent`

    - #### layer

          public IMeshAgent layer(ILayer l)

      Description copied from class: `IObject`
      Set layer by ILayer object
      Overrides:
        `layer` in class `IAgent`

    - #### hide

          public IMeshAgent hide()

      Overrides:
        `hide` in class `IAgent`

    - #### show

          public IMeshAgent show()

      Overrides:
        `show` in class `IAgent`

    - #### clr

          public IMeshAgent clr(IColor c)

      Description copied from class: `IObject`
      to set an object color
      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(IColor c,
                       int alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(IColor c,
                       float alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(IColor c,
                       double alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(IObject o)

      Description copied from class: `IObject`
      to set the same color with the object
      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(java.awt.Color c)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IMeshAgent clr(java.awt.Color c,
                       int alpha)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IMeshAgent clr(java.awt.Color c,
                       float alpha)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IMeshAgent clr(java.awt.Color c,
                       double alpha)

      Overrides:
        `clr` in class `IObject`

    - #### clr

          public IMeshAgent clr(int gray)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(float fgray)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(double dgray)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(int gray,
                       int alpha)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(float fgray,
                       float falpha)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(double dgray,
                       double dalpha)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(int r,
                       int g,
                       int b)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(float fr,
                       float fg,
                       float fb)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(double dr,
                       double dg,
                       double db)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(int r,
                       int g,
                       int b,
                       int a)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(float fr,
                       float fg,
                       float fb,
                       float fa)

      Overrides:
        `clr` in class `IAgent`

    - #### clr

          public IMeshAgent clr(double dr,
                       double dg,
                       double db,
                       double da)

      Overrides:
        `clr` in class `IAgent`

    - #### hsb

          public IMeshAgent hsb(float h,
                       float s,
                       float b,
                       float a)

      Overrides:
        `hsb` in class `IAgent`

    - #### hsb

          public IMeshAgent hsb(double h,
                       double s,
                       double b,
                       double a)

      Overrides:
        `hsb` in class `IAgent`

    - #### hsb

          public IMeshAgent hsb(float h,
                       float s,
                       float b)

      Overrides:
        `hsb` in class `IAgent`

    - #### hsb

          public IMeshAgent hsb(double h,
                       double s,
                       double b)

      Overrides:
        `hsb` in class `IAgent`

    - #### weight

          public IMeshAgent weight(float w)

      Overrides:
        `weight` in class `IAgent`

    - #### weight

          public IMeshAgent weight(double w)

      Overrides:
        `weight` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(java.awt.Color c)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IMeshAgent setColor(java.awt.Color c,
                            int alpha)

      Overrides:
        `setColor` in class `IObject`

    - #### setColor

          public IMeshAgent setColor(int gray)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(float fgray)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(double dgray)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(int gray,
                            int alpha)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(float fgray,
                            float falpha)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(double dgray,
                            double dalpha)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(int r,
                            int g,
                            int b)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(float fr,
                            float fg,
                            float fb)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(double dr,
                            double dg,
                            double db)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(int r,
                            int g,
                            int b,
                            int a)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(float fr,
                            float fg,
                            float fb,
                            float fa)

      Overrides:
        `setColor` in class `IAgent`

    - #### setColor

          public IMeshAgent setColor(double dr,
                            double dg,
                            double db,
                            double da)

      Overrides:
        `setColor` in class `IAgent`

    - #### setHSBColor

          public IMeshAgent setHSBColor(float h,
                               float s,
                               float b,
                               float a)

      Overrides:
        `setHSBColor` in class `IAgent`

    - #### setHSBColor

          public IMeshAgent setHSBColor(double h,
                               double s,
                               double b,
                               double a)

      Overrides:
        `setHSBColor` in class `IAgent`

    - #### setHSBColor

          public IMeshAgent setHSBColor(float h,
                               float s,
                               float b)

      Overrides:
        `setHSBColor` in class `IAgent`

    - #### setHSBColor

          public IMeshAgent setHSBColor(double h,
                               double s,
                               double b)

      Overrides:
        `setHSBColor` in class `IAgent`